<?xml version="1.0" encoding="utf-8"?>
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:tools="http://schemas.android.com/tools"
    android:layout_width="match_parent"
    android:layout_height="match_parent"
    android:orientation="vertical"
    tools:context=".NewHotel">

    <TableLayout
        android:layout_centerInParent="true"
        android:layout_width="match_parent"
        android:layout_height="wrap_content">

        <TableRow
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:layout_gravity="center"
            android:layout_marginTop="40dp">

            <TextView
                android:id="@+id/hotel_name_label"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginLeft="16dp"
                android:layout_weight="1"
                android:text="@string/hotel_name_label"
                android:textColor="@android:color/background_dark"
                android:textSize="20dp" />

            <EditText
                android:id="@+id/hotel_name"
                android:layout_width="match_parent"
                android:layout_height="45dp"
                android:layout_marginRight="16dp"
                android:layout_weight="1"
                android:drawablePadding="10dp"
                android:hint="@string/hotel_name_hint"
                android:theme="@android:style/TextAppearance.DeviceDefault" />

        </TableRow>

        <TableRow
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:layout_gravity="center"
            android:layout_marginTop="40dp">

            <TextView
                android:id="@+id/hotel_address_label"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginLeft="16dp"
                android:layout_weight="1"
                android:text="@string/hotel_address_label"
                android:textColor="@android:color/background_dark"
                android:textSize="20dp" />

            <EditText
                android:id="@+id/hotel_address"
                android:layout_width="match_parent"
                android:layout_height="45dp"
                android:layout_marginRight="16dp"
                android:layout_weight="1"
                android:drawablePadding="15dp"
                android:hint="@string/hotel_address_hint"
                android:theme="@android:style/TextAppearance.DeviceDefault" />

        </TableRow>

        <TableRow
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:layout_gravity="center"
            android:layout_marginTop="40dp">

            <TextView
                android:id="@+id/hotel_webpage_label"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginLeft="16dp"
                android:layout_weight="1"
                android:text="@string/hotel_webpage_label"
                android:textColor="@android:color/background_dark"
                android:textSize="20dp" />

            <EditText
                android:id="@+id/hotel_webpage"
                android:layout_width="match_parent"
                android:layout_height="45dp"
                android:layout_marginRight="16dp"
                android:layout_weight="1"
                android:drawablePadding="15dp"
                android:hint="@string/hotel_webpage_hint"
                android:theme="@android:style/TextAppearance.DeviceDefault" />

        </TableRow>

        <TableRow
            android:layout_width="match_parent"
            android:layout_height="0dp"
            android:layout_gravity="center"
            android:layout_marginTop="40dp">

            <TextView
                android:id="@+id/hotel_phone_label"
                android:layout_width="0dp"
                android:layout_height="wrap_content"
                android:layout_marginLeft="16dp"
                android:layout_weight="1"
                android:text="@string/hotel_phone_label"
                android:textColor="@android:color/background_dark"
                android:textSize="20dp" />

            <EditText
                android:id="@+id/hotel_phone"
                android:layout_width="match_parent"
                android:layout_height="45dp"
                android:layout_marginRight="16dp"
                android:layout_weight="1"
                android:drawablePadding="15dp"
                android:hint="@string/hotel_phone_hint"
                android:theme="@android:style/TextAppearance.DeviceDefault" />

        </TableRow>

        <TableRow
            android:layout_width="fill_parent"
            android:layout_height="wrap_content"
            android:layout_gravity="center"
            android:layout_marginTop="40dp"

            android:gravity="center">

            <Button
                android:id="@+id/create_hotel_button"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:background="@android:drawable/alert_dark_frame"
                android:onClick="createHotelEntry"
                android:text="@string/create_hotel_button"
                android:layout_marginLeft="50dp"
                android:layout_marginRight="50dp"
                android:textColor="@android:color/white"
                android:layout_weight="0.9"
                />
        </TableRow>
    </TableLayout>

</RelativeLayout>